package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.EntityFinder;
import gov.va.med.esr.service.external.person.collections.CategoryCollection;

public class VPIDEntityFinder extends AbstractEntityFinder implements EntityFinder {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8268817757383693515L;
	private String vpid;
	
	VPIDEntityFinder(String vpid , String accountName, String requestName) {
		super(accountName, requestName);
		this.vpid = vpid;
	}
    
    VPIDEntityFinder(String vpid , String accountName, String requestName, CategoryCollection categories) {
        super(accountName, requestName,categories);
        this.vpid = vpid;
    }
    
    VPIDEntityFinder(String vpid , String accountName, String notificationType,String survivingVpid, String deprecatedVpid,
    		String dfn,String stationName,String fromVpid, String toVpid) {
        super(accountName,notificationType,survivingVpid,deprecatedVpid,dfn,stationName,fromVpid,toVpid );
        this.vpid = vpid;
    }
    
    VPIDEntityFinder(String vpid , String accountName, String requestName, DeliveryPreferenceInfo deliveryPreferenceInfo) {
        super(accountName, requestName,deliveryPreferenceInfo);
        this.vpid = vpid;
    }
    
    public VPIDEntityFinder(String vpid , String accountName, String requestName, Integer incomeYear, SendIVMInfo sendIVMInfo, 
    		IVMLetterInfo ivmLetterInfo) {
        super(accountName, requestName,incomeYear, sendIVMInfo, ivmLetterInfo);
        this.vpid = vpid;
    }
	
	public String getFinderData() {
		return getVpid();
	}

	public String getVpid() {
		return vpid;
	}

	public void setVpid(String vpid) {
		this.vpid = vpid;
	}

}
